rmse_datasets = [
    'invpt_201510',
    'invpt_2015',
    'pt_2015',
    'pt_rm_2015',  # alias for: pt_no_rpc_bits_no_me11_2015,
    'pt_urm_2015',  # alias for: pt_udeltas_no_rpc_bits_no_me11_2015
    'uc_pt_201510',
    'uc_pt_2015',
    'uc_pt_udxy_2015',
    'uc_pt_udxy_relu_2015',
    'uc_pt_udxy_nfr_nme11_relu_2015',
    'ucv2_pt_udxy_relu_2015',
    'ucv2_pt_udxy_no_mode_relu_2015',
    'ucv2_pt_udxy_fwmax_relu_2015',
    'ucv2_pt_udxy_no_mode_fwmax_relu_2015',
    'ucv3_pt_udxy_fwmax_relu_2015',
    'ucv3_pt_udxy_no_mode_fwmax_relu_2015',
    'ucv3q_pt_udxy_no_mode_logcosh_rscale_relu_2015',
    'ucv4'
]

rmse_pt_bins = [
    'Inclusive',
    '0-10 GeV',
    '10-20 GeV',
    '20 GeV-Inf'
]

rmse_values = {
    'invpt': {
        'invpt_201510': [0.10469196696740975, 0.09624046340564414, 0.09989900810224399, 0.14224340485349093],
        'invpt_2015': [0.10798828533365377, 0.09868518980788804, 0.10216289220228043, 0.14924866598787231],
        'pt_2015': [0.16302680812318066, 0.18842419058346277, 0.05921537240272422, 0.0793880202531063],
        'pt_no_rpc_bits_no_me11_2015': [0.1269828854945152, 0.14272082319868898, 0.061393361633080686,
                                        0.08876444401259188],
        'pt_udeltas_no_rpc_bits_no_me11_2015': [1.089279617023942, 1.2901929163175396, 0.12804373491890678,
                                                0.18572925410864075],
        'uc_pt_201510': [0.8825626928284436, 1.0468084074300745, 0.05995156267522056, 0.08197901494747938],
        'uc_pt_2015': [5.85610698811944, 6.95142537360738, 0.25389933192992653, 0.12678462539084623],
        'uc_pt_udxy_2015': [12.184645978358796, 14.465403962336291, 0.1276091658884214, 0.29213506518054644],
        'uc_pt_udxy_relu_2015': [15.801276673279164, 18.75912712338154, 0.2953341004427234, 0.2466931548343523],
        'uc_pt_udxy_nfr_nme11_relu_2015': [1.536546135127102, 1.4423705362633117, 0.1559084074667389,
                                           2.469189183302813],
        'ucv2_pt_udxy_relu_2015': [0.9921877040856538, 1.175402919278119, 0.11440554909464296, 0.12803125696135176],
        'ucv2_pt_udxy_no_mode_relu_2015': [3.1961564537483795, 3.793820605079875, 0.09982161497054892,
                                           0.1391156742745441],
        'ucv2_pt_udxy_fwmax_relu_2015': [0.6077019696204942, 0.26625745865841344, 0.07049414974210229,
                                         1.4837399137449987],
        'ucv2_pt_udxy_no_mode_fwmax_relu_2015': [0.653382919676336, 0.7561813861800393, 0.34099932980887737,
                                                 0.17174733691553018],
        'ucv3_pt_udxy_fwmax_relu_2015': [2.6428219323825344, 3.1349299163785993, 0.13031034685865267,
                                         0.22628377990884058],
        'ucv3_pt_udxy_no_mode_fwmax_relu_2015': [5.874880372536838, 6.973548174061181, 0.08644647170138561,
                                                 0.07672810782966615],
        'ucv3q_pt_udxy_no_mode_logcosh_rscale_relu_2015': [2.9717285306914243, 3.4875638915282168, 0.06684932702207594,
                                                           0.08794487424138617],
        'ucv4': [0.0736975439006671, 0.072285379787979, 0.058566491693955725, 0.0920712230153707],
    },

    'pt': {
        'invpt_201510': [53.47854788048211, 2.191378175651, 7.683014785847015, 140.04382170439808],
        'invpt_2015': [53.6940769865885, 2.2160088427145372, 8.230567120015634, 140.5774749456522],
        'pt_2015': [51.141236810727584, 2.7956175642518244, 7.113255805547892, 133.87349640485215],
        'pt_no_rpc_bits_no_me11_2015': [51.43462139592243, 3.0113612061590223, 6.799072198783951, 134.63897912555254],
        'pt_udeltas_no_rpc_bits_no_me11_2015': [51.91696169089663, 2.933360160608926, 6.42588432158039,
                                                135.93451606901073],
        'uc_pt_201510': [50.25992560278447, 2.7137340320256644, 7.410248961435372, 131.83567185215034],
        'uc_pt_2015': [50.73790118159555, 2.855962036261044, 6.648547548413481, 133.1220260765717],
        'uc_pt_udxy_2015': [50.310028657761315, 2.876722700333885, 6.977815218764463, 131.97464880620038],
        'uc_pt_udxy_relu_2015': [50.35588642563146, 2.9141804153185302, 7.213884803720351, 132.078730066901],
        'uc_pt_udxy_nfr_nme11_relu_2015': [50.7590028390429, 2.8110392795465917, 6.6462647423019, 133.18246041806842],
        'ucv2_pt_udxy_relu_2015': [50.62564098722308, 2.876227706208553, 7.033034954260089, 132.8039371494632],
        'ucv2_pt_udxy_no_mode_relu_2015': [50.67555841613153, 2.8267182013037075, 7.109128719744218,
                                           132.93667966508391],
        'ucv2_pt_udxy_fwmax_relu_2015': [51.31213347227471, 2.8797781426397515, 6.466816911315229, 134.64225490366607],
        'ucv2_pt_udxy_no_mode_fwmax_relu_2015': [51.7123409341336, 2.812014083884839, 5.699819583872734,
                                                 135.7388625124867],
        'ucv3_pt_udxy_fwmax_relu_2015': [50.71003540975075, 4.371182449385295, 7.812704060314452, 132.8940014738313],
        'ucv3_pt_udxy_no_mode_fwmax_relu_2015': [50.7591856587582, 4.262159049675984, 7.653335900350088,
                                                 133.05070591395128],
        'ucv3q_pt_udxy_no_mode_logcosh_rscale_relu_2015': [12.338834011736243, 5.782364083745191, 7.758500615806792,
                                                           30.831761082102528],
        'ucv4': [51.56798803561025, 2.3926326306643695, 5.150239802771986, 135.5694885435493],
    },

    'rel_pt': {
        'invpt_201510': [0.591020920482916, 0.547087265197397, 0.514007800394273, 0.8240374902901437],
        'invpt_2015': [0.6155705580382809, 0.5703147879038668, 0.5496565013040875, 0.8474548209774153],
        'pt_2015': [0.5479720681535097, 0.5378427183657087, 0.5185184837300826, 0.6209694949294665],
        'pt_no_rpc_bits_no_me11_2015': [0.5758496305049788, 0.5775916149974312, 0.5008696816485442, 0.634993020774867],
        'pt_udeltas_no_rpc_bits_no_me11_2015': [0.5719025732173539, 0.5691511660588545, 0.4663756097766153,
                                                0.6729634924721999],
        'uc_pt_201510': [0.5374328062083764, 0.5186263412272316, 0.5292883314153299, 0.6285418662923659],
        'uc_pt_2015': [0.5650703538415845, 0.5669938966247844, 0.4853337900280516, 0.6270445175565553],
        'uc_pt_udxy_2015': [0.5843459954652674, 0.5917678764435713, 0.49759924070327577, 0.6272076303246855],
        'uc_pt_udxy_relu_2015': [0.5726474048730135, 0.572993887406028, 0.5191109711356209, 0.6204768504882756],
        'uc_pt_udxy_nfr_nme11_relu_2015': [0.5545573207125135, 0.5484138286603714, 0.47732666654571504,
                                           0.6490369592133918],
        'ucv2_pt_udxy_relu_2015': [0.5568673436637795, 0.5485977117343918, 0.5075781284912689, 0.6386973578789653],
        'ucv2_pt_udxy_no_mode_relu_2015': [0.5534741625213839, 0.5417308365090778, 0.5119174770916416,
                                           0.6435435070286462],
        'ucv2_pt_udxy_fwmax_relu_2015': [0.569016798559486, 0.565494019302238, 0.4698518860844861, 0.6688856749565126],
        'ucv2_pt_udxy_no_mode_fwmax_relu_2015': [0.5687397902125964, 0.5678889899236114, 0.40561583289984593,
                                                 0.6990627963406695],
        'ucv3_pt_udxy_fwmax_relu_2015': [0.859136351414725, 0.9457951392518554, 0.5870016410051134, 0.6058631732306087],
        'ucv3_pt_udxy_no_mode_fwmax_relu_2015': [0.830214279218137, 0.90993789565312, 0.5792056153318337,
                                                 0.604095149286479],
        'ucv3q_pt_udxy_no_mode_logcosh_rscale_relu_2015': [1.162151757328972, 1.3222907931248886, 0.6067165438617159,
                                                           0.46045681521252774],
        'ucv4': [0.5198858150000308, 0.5034921639707717, 0.3578871307815982, 0.7050970059601637],
    },

    'dxy': {
        'invpt_201510': [15.848297263050165, 17.765379095369475, 9.836232143462345, 9.620054583309589],
        'invpt_2015': [16.0862578762178, 18.02311137723215, 10.004751566309238, 9.823991141951316],
        'pt_2015': [16.238728197592707, 18.149231515177195, 10.129687800572109, 10.27914875785566],
        'pt_no_rpc_bits_no_me11_2015': [16.517291962351816, 18.48152612050498, 10.3637719590294, 10.211917380043374],
        'pt_udeltas_no_rpc_bits_no_me11_2015': [23.26009966836487, 24.617827685852266, 19.122352989694257,
                                                20.019509235507375],
        'uc_pt_201510': [16.822697551028234, 18.80723634584911, 10.357409827731733, 10.651450126919281],
        'uc_pt_2015': [17.247230535751967, 19.24956616863907, 10.776604293268022, 11.042954293795335],
        'uc_pt_udxy_2015': [14.95190265131209, 16.708397473376188, 9.486348387531221, 9.24823895289643],
        'uc_pt_udxy_relu_2015': [14.913020932953204, 16.63153498100302, 9.600323176141739, 9.374253542705668],
        'uc_pt_udxy_nfr_nme11_relu_2015': [15.418725662974182, 17.194245532927145, 10.016272890950608,
                                           9.608930148402225],
        'ucv2_pt_udxy_relu_2015': [15.434706808393928, 17.205102077759257, 10.02765908389758, 9.678790646160731],
        'ucv2_pt_udxy_no_mode_relu_2015': [15.415886356222458, 17.19574402853044, 9.987508400045808, 9.594481070483242],
        'ucv2_pt_udxy_fwmax_relu_2015': [16.119032244997268, 17.80099749381802, 11.1129232961694, 10.840019909588412],
        'ucv2_pt_udxy_no_mode_fwmax_relu_2015': [16.002383162310235, 17.774848334781165, 10.677903971407895,
                                                 10.282286039206648],
        'ucv3_pt_udxy_fwmax_relu_2015': [16.321868727417428, 18.08693776837306, 11.06233167568965, 10.651181892368436],
        'ucv3_pt_udxy_no_mode_fwmax_relu_2015': [16.604504356586247, 18.382606915077755, 11.292267892063458,
                                                 10.94103547329039],
        'ucv3q_pt_udxy_no_mode_logcosh_rscale_relu_2015': [16.538464769990227, 18.590486219250238, 9.689604310069393,
                                                           8.315951319227493],
        'ucv4': [18.251983713910928, 19.762022201836846, 14.063294887013596, 13.724340466907956],
    },
}
